/*
 * Class MATH_CONST
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_116 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_1_116 [] = {0xFF01,237,115,0xFFFF};
static const EIF_TYPE_INDEX egt_2_116 [] = {0xFF01,115,0xFFFF};
static const EIF_TYPE_INDEX egt_3_116 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_116 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_116 [] = {0xFF01,115,0xFFFF};
static const EIF_TYPE_INDEX egt_6_116 [] = {0xFF01,115,0xFFFF};
static const EIF_TYPE_INDEX egt_7_116 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_116 [] = {0xFF01,14,0xFFFF};
static const EIF_TYPE_INDEX egt_9_116 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_10_116 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_11_116 [] = {0xFF01,15,0xFFFF};
static const EIF_TYPE_INDEX egt_12_116 [] = {0xFF01,115,0xFFFF};


static const struct desc_info desc_116[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_116), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_116), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_116), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_116), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_116), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_116), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_116), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_116), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_116), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_116), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_116), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_116), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0xE7 /*115*/), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01AF /*215*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_116), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0185 /*194*/), 1581, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0185 /*194*/), 1582, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0185 /*194*/), 1583, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0185 /*194*/), 1584, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0185 /*194*/), 1585, 0xFFFFFFFF},
};
void Init116(void)
{
	IDSC(desc_116, 0, 115);
	IDSC(desc_116 + 1, 1, 115);
	IDSC(desc_116 + 32, 121, 115);
}


#ifdef __cplusplus
}
#endif
